<template>
    <div>
        <h1>{{ adjustedTitle }}</h1>
        <button @click="adjustTitle">Adjust</button>
        <example-component :title='title' @test='adjustChild'></example-component>
    </div>
</template>

<script>
import ExampleComponent from '../components/ExampleComponent'

export default {
    components: {
        ExampleComponent
    },
    data() {
        return {
            title: 'Magdy'
        }
    },
    computed: {
        adjustedTitle() {
            return this.title + 'beh'
        }
    },
    methods: {
        adjustTitle() {
            this.title = 'Shalaby'
        },
        adjustChild(value) {
            this.title = value
        }
    }
}
</script>
